Get wallet balances
curl --request GET \
--url https://api.example.com/api/v1/balance \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/balance"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"accounts": [
{
"accountId": "<string>",
"chainId": "<string>",
"walletType": "omni",
"balanceUsd": 123,
"rawBalance": "<string>",
"balanceByToken": {},
"custodial": false
}
],
"evmAddress": "<string>",
"privyAddress": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Balance
Get wallet balances
Get OMNI, NEAR, EVM and Swipelux wallet balances for authenticated user.
GET
/
api
/
v1
/
balance
Get wallet balances
curl --request GET \
--url https://api.example.com/api/v1/balance \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/balance"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"accounts": [
{
"accountId": "<string>",
"chainId": "<string>",
"walletType": "omni",
"balanceUsd": 123,
"rawBalance": "<string>",
"balanceByToken": {},
"custodial": false
}
],
"evmAddress": "<string>",
"privyAddress": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Query Parameters
Available options:
omni, base-main, swipelux, mcp, base-aa-wallet, wirex, conduit-fiat Was this page helpful?